Get an order
const url = 'https://sandbox.partners.loops.sa/v1/orders/ord_01J9QW3T8M';const options = { method: 'GET', headers: {'Loops-Merchant-Id': 'mer_7Hq2Lw8Z', Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sandbox.partners.loops.sa/v1/orders/ord_01J9QW3T8M \ --header 'Authorization: Bearer <token>' \ --header 'Loops-Merchant-Id: mer_7Hq2Lw8Z'One order, with items, totals and status history.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”The order ID (ord_…).
Header Parameters
Section titled “Header Parameters”The merchant you are acting for (mer_…). Required for platform applications;
optional for direct integrations, which have a single merchant.
Responses
Section titled “Responses”The order.
object
Increases on every change. Use it to discard stale updates.
Channel ID from GET /channels.
The order number shown on the channel, for staff and support.
Channel-neutral order status.
object
Channel-neutral order status.
object
Text in the languages the merchant provided.
object
An amount in minor units (halalas for SAR).
object
ISO 4217 code.
object
Text in the languages the merchant provided.
object
An amount in minor units (halalas for SAR).
object
ISO 4217 code.
object
An amount in minor units (halalas for SAR).
object
ISO 4217 code.
An amount in minor units (halalas for SAR).
object
ISO 4217 code.
An amount in minor units (halalas for SAR).
object
ISO 4217 code.
An amount in minor units (halalas for SAR).
object
ISO 4217 code.
An amount in minor units (halalas for SAR).
object
ISO 4217 code.
object
Channel-specific fields, keyed by channel ID. Safe to ignore.
object
Example
{ "id": "ord_01J9QW3T8M", "version": 3, "channel_ref": "CH-88213", "type": "delivery", "status": "placed", "status_history": [ { "status": "placed" } ], "items": [ { "sku": "CB-01", "quantity": 2, "unit_price": { "amount": 4550, "currency": "SAR" }, "modifiers": [ { "unit_price": { "amount": 4550, "currency": "SAR" } } ] } ], "totals": { "subtotal": { "amount": 4550, "currency": "SAR" }, "discount": { "amount": 4550, "currency": "SAR" }, "delivery_fee": { "amount": 4550, "currency": "SAR" }, "tax": { "amount": 4550, "currency": "SAR" }, "total": { "amount": 4550, "currency": "SAR" } }, "payment": { "method": "online" }}The access token is missing, expired or invalid.
RFC 9457 Problem Details with a stable code.
object
Stable machine-readable error code. Switch on this, not on title.
Field errors, for invalid_request.
object
Example
{ "type": "https://docs.partners.loops.sa/errors/scope_not_granted", "title": "Scope not granted", "status": 403, "code": "invalid_request", "detail": "The merchant has not granted orders:read to this application.", "request_id": "req_01J9X7P2QK"}Not allowed: the scope isn’t approved or granted, the connection is not active,
or your application is suspended. See code.
RFC 9457 Problem Details with a stable code.
object
Stable machine-readable error code. Switch on this, not on title.
Field errors, for invalid_request.
object
Example
{ "type": "https://docs.partners.loops.sa/errors/scope_not_granted", "title": "Scope not granted", "status": 403, "code": "invalid_request", "detail": "The merchant has not granted orders:read to this application.", "request_id": "req_01J9X7P2QK"}Not found, or not accessible with this connection.
RFC 9457 Problem Details with a stable code.
object
Stable machine-readable error code. Switch on this, not on title.
Field errors, for invalid_request.
object
Example
{ "type": "https://docs.partners.loops.sa/errors/scope_not_granted", "title": "Scope not granted", "status": 403, "code": "invalid_request", "detail": "The merchant has not granted orders:read to this application.", "request_id": "req_01J9X7P2QK"}© 2026 Loops Technologies | شركة لووبز للتقنيات. All rights reserved.
